Freeciv-3.3: generate_packets.StringType Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions
generate_packets.StringType Class Reference
Inheritance diagram for generate_packets.StringType:

## Public Member Functions

| __init__ (self, str dataio_type, str public_type, SizeInfo size)
str | get_code_fill (self, Location location, str packet)
str | get_code_copy (self, Location location, str dest, str src)
str | get_code_cmp (self, Location location, str new, str old)
str | get_code_get (self, Location location, str packet, bool deep_diff=False)
Public Member Functions inherited from generate_packets.SizedType
str | get_code_declaration (self, Location location)
str | get_code_param (self, Location location)
str | __str__ (self)
Public Member Functions inherited from generate_packets.BasicType
str | get_code_hash (self, Location location, str packet)
str | get_code_put (self, Location location, str packet, "str | None" diff_packet=None)
Public Member Functions inherited from generate_packets.FieldType
"FieldType" | array (self, SizeInfo size)
str | get_code_handle_arg (self, Location location, str packet)
str | get_code_init (self, Location location, str packet)
str | get_code_free (self, Location location, str packet)
bool | is_type_compatible (self, "FieldType" other)
Public Member Functions inherited from generate_packets.RawFieldType
str | __repr__ (self)

## Additional Inherited Members

Data Fields inherited from generate_packets.SizedType
| size
Data Fields inherited from generate_packets.BasicType
| dataio_type
| public_type
Static Public Attributes inherited from generate_packets.SizedType
SizeInfo | size
Static Public Attributes inherited from generate_packets.BasicType
str | dataio_type
str | public_type
str | DEFAULT_REGISTRY = TypeRegistry(BasicType)
Static Public Attributes inherited from generate_packets.FieldType
bool | foldable = False
bool | complex = False
Static Public Attributes inherited from generate_packets.RawFieldType
str | FieldTypeConstructor = typing.Callable[[str, str], RawFieldType]
Protected Member Functions inherited from generate_packets.FieldType
| _compat_keys (self, Location location, str packet)

## Detailed Description

    Type information for a string field

Definition at line 1260 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.StringType.__init__ | ( |  | self,
|  | str | dataio_type,
|  | str | public_type,
|  | SizeInfo | size
| ) |  |

Reimplemented from generate_packets.SizedType.

Definition at line 1263 of file generate_packets.py.

## Member Function Documentation

## ◆ get_code_cmp()

str generate_packets.StringType.get_code_cmp | ( |  | self,
|  | Location | location,
|  | str | new,
|  | str | old
| ) |  |

    Generate a code snippet comparing a field of this type between
    the given packets and setting `differ` accordingly. The `old`
    packet is one we know to have been initialized by our own code.

Reimplemented from generate_packets.BasicType.

Definition at line 1282 of file generate_packets.py.

## ◆ get_code_copy()

str generate_packets.StringType.get_code_copy | ( |  | self,
|  | Location | location,
|  | str | dest,
|  | str | src
| ) |  |

    Generate a code snippet deep-copying a field of this type from
    one packet struct to another that has already been initialized.

    Subclasses must override this if self.complex is True

Reimplemented from generate_packets.SizedType.

Definition at line 1277 of file generate_packets.py.

## ◆ get_code_fill()

str generate_packets.StringType.get_code_fill | ( |  | self,
|  | Location | location,
|  | str | packet
| ) |  |

    Generate a code snippet shallow-copying a value of this type from
    dsend arguments into a packet struct.

Reimplemented from generate_packets.SizedType.

Definition at line 1272 of file generate_packets.py.

## ◆ get_code_get()

str generate_packets.StringType.get_code_get | ( |  | self,
|  | Location | location,
|  | str | packet,
|  | bool | deep_diff = `False`
| ) |  |

    Generate a code snippet reading a field of this type from the
    dataio stream.

Reimplemented from generate_packets.BasicType.

Definition at line 1287 of file generate_packets.py.